Page MenuHomePhabricator

Icinga access for Zhouz and Slaporte
Closed, ResolvedPublic

Description

give Icinga access to @ZhouZ and @Slaporte

See the parent task for the reasoning. They should be able to check the "legal footer" icinga service checks.

Additionally, make them contacts for that service so they get notified via email when it turns CRITical.

Needs:

  • contacts for each of them defined in the private puppet repo which match the "uid" of the existing wikitech user
  • add those users to the "wmf" LDAP group
  • a contactgroup with the contacts as members, defined in the public puppet repo
  • add the contactgroup to the service checks

Details

Related Gerrit Patches:
operations/puppet : productionicinga: add legal contactgroup to legal footer checks
operations/puppet : productionicinga: add contactgroup for legal

Related Objects

StatusAssignedTask
ResolvedDzahn

Event Timeline

Dzahn created this task.Sep 20 2016, 10:39 PM
Dzahn created this object with visibility "Custom Policy".
Dzahn created this object with edit policy "Custom Policy".

..and the existing LDAP wikitech users must match the Icinga contact (double check which is the right LDAP field and capitalization)

Dzahn claimed this task.Sep 20 2016, 10:40 PM
Dzahn updated the task description. (Show Details)
Dzahn changed the visibility from "Custom Policy" to "Public (No Login Required)".
Dzahn changed the edit policy from "Custom Policy" to "All Users".

The full title of the services are:

Ensure legal html en.m.wp
Ensure legal html en.wb
Ensure legal html en.wp

overview link: https://icinga.wikimedia.org/cgi-bin/icinga/status.cgi?search_string=legal

Hi @Dzahn, just to confirm my Wikitech username is actually this: ZZhou (WMF)

So no underscore - perhaps that was the issue before. Stephen's should still be: Slaporte

That's right, my wikitech username is Slaporte

Dzahn added a comment.Sep 22 2016, 9:57 PM

@ZhouZ found out now what we needed, it's "zhousquared" in this case, it's the "uid" LDAP field, while there are other fields, "cn"/"sn", that are set to "ZZhou (WMF)" with the space and brackets.

dn: uid=zhousquared,ou=people,dc=wikimedia,dc=org

contacts in private repo:

define contact{
        contact_name                    slaporte
        alias                           Stephen LaPorte
        host_notification_period        24x7
        service_notification_period     24x7
        host_notification_options       d,r,f
        service_notification_options    c,r,f
        email                           slaporte@...
        host_notification_commands      host-notify-by-email
        service_notification_commands   notify-by-email
}

define contact{
        contact_name                    zhousquared
        alias                           Zhou Zhou
        host_notification_period        24x7
        service_notification_period     24x7
        host_notification_options       d,r,f
        service_notification_options    c,r,f
        email                           zzhou@...
        host_notification_commands      host-notify-by-email
        service_notification_commands   notify-by-email
}

Change 312420 had a related patch set uploaded (by Dzahn):
icinga: add contactgroup for legal

https://gerrit.wikimedia.org/r/312420

Change 312420 merged by Dzahn:
icinga: add contactgroup for legal

https://gerrit.wikimedia.org/r/312420

Mentioned in SAL (#wikimedia-operations) [2016-09-22T22:18:38Z] <mutante> added slaporte and zhousquared to wmf LDAP group (T146227)

Dzahn updated the task description. (Show Details)Sep 22 2016, 10:22 PM

Change 312424 had a related patch set uploaded (by Dzahn):
icinga: add legal contactgroup to legal footer checks

https://gerrit.wikimedia.org/r/312424

Change 312424 merged by Dzahn:
icinga: add legal contactgroup to legal footer checks

https://gerrit.wikimedia.org/r/312424

Dzahn added a comment.EditedSep 22 2016, 10:42 PM

@ZhouZ @Slaporte You can now try logging in at https://icinga.wikimedia.org/icinga/ (with your wikitech user, please make sure you have a secure password there that is complex enough)

Then you can type "legal" into the the search field, or you can directly bookmark and go to https://icinga.wikimedia.org/cgi-bin/icinga/status.cgi?search_string=legal

You should be able to see the 3 footer checks there.

Also you should start getting email if they should start having a problem (and when they are fixed again).

Thanks - it works.

Dzahn closed this task as Resolved.Sep 22 2016, 11:53 PM

great :) i'll resolve the ticket then.